Subject: Re: bug#27730: --exclude-dir ignoring subdirectory

From: Paul Eggert <[email-masked]>
Date: Fri, 24 May 2019 16:02:38 -0700

On 5/24/19 1:13 PM, Michael Thielker wrote:
>     Can grep 2.6.3-3 be used with RHEL 6.10 to resolve our issue in the
>     meantime?

That sounds like a Red Hat issue more than an issue that needs to be 
answered upstream, so I suggest sending a bug report to Red Hat.

As I recall, it is a tricky area since the older grep documentation was 
ambiguous in this area and the implementation was inconstent, and 
nailing things down was bound to make one set of users or another unhappy.

Also see this change in grep 2.23:

   --exclude and related options are now matched against trailing
   parts of command-line arguments, not against the entire arguments.
   This partly reverts the --exclude-related change in 2.22.
   [bug introduced in grep-2.22]